import toml from "toml"
import fs from "fs/promises"

export interface KoiConfig {
	token: string
	guilds: string[]
	sync: boolean
}

export const config: KoiConfig = toml.parse(
	await fs.readFile("config.toml", "utf-8")
)
