import { db } from "./api.js"
import { mergeAudio } from "./utils/merge.js"

const id = process.argv[2]

const session = await db.session.findUnique({ where: { id } })

if (!session) {
	throw new Error("session not found")
}

await mergeAudio(id)
